Skip to main content
GET
/
api
/
v4
/
stories
/
seen
Query story targets by multiple targets
curl --request GET \
  --url https://apix.us.amity.co/api/v4/stories/seen \
  --header 'Authorization: Bearer <token>'
{
  "storyTargets": [
    {
      "targetId": "<string>",
      "targetPublicId": "<string>",
      "targetType": "community",
      "targetUpdatedAt": "2023-11-07T05:31:56Z",
      "lastStoryExpiresAt": "2023-11-07T05:31:56Z",
      "lastStorySeenExpiresAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

targets
object[]
required

Target object. The target object is an array of objects that contain targetId and targetType. Max up to 10 items

  • targetId: ID of a target.
  • targetType: Type of a target (user, community).
Required array length: 1 - 10 elements

Response

Story targets Information

Story targets response payload

storyTargets
object[]